footer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 50px 100px;
    width: 100%;
    height: 291px;
    font-size: 23px;
    line-height: 120%;
    border-top: 4px solid #70e71a;
    background-color: #141D2F;
    scroll-behavior: smooth;
    isolation: isolate;
}

footer span {
    color: white;
    height: 48px;
}

.footer-content {
    display: flex;
    justify-content: space-between;
}

.footer-name {
    display: flex;
    font-size: 48px;
    color: white;
    text-decoration: none;
    cursor: pointer;
}

.purple-dot {
    color: #9747ff;
}

.green-r {
    color: #70e71a;
}

.footer-links {
    display: flex;
    gap: 42px;
}

.footer-links a {
    transition: 0.15s ease-in-out;
    height: 30px;
}

.footer-links a:hover {
    transform: scale(1.4);
}

.legal-notice {
    font-size: 16px;
    cursor: pointer;
    display: inline-block;
}

.footer-legal-notice-container {
    display: flex;
    flex-direction: column;
    line-height: 1.2rem;
    width: 100px;
}

.footer-legal-notice-img {
    width: 57px;
    height: 2px;
    opacity: 0;
}

.footer-legal-notice-container:hover .footer-legal-notice-img {
    opacity: 1;
    transition: 0.3s ease-in;
}

.copyright-name {
    font-size: 23px;
    font-weight: 400;
    margin-left: 30px;
}

@media(max-width: 950px) {
    .copyright-name {
        margin-left: 0;
    }

    .footer-links {
        gap: 30px;
    }
}

@media(max-width: 900px) {
    .footer-links {
        gap: 24px;
    }
}

@media(max-width: 820px) {
    footer {
        align-items: center;
        gap: 30px;
        padding: 0;
    }

    .footer-content {
        flex-direction: column;
        align-items: center;
        gap: 30px;
    }

    .footer-links {
        gap: 42px;
    }
}